Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class SparkDataPartitioner

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.SparkDataPartitioner

All Implemented Interfaces:
  `Serializable`

public class SparkDataPartitioner extends Object implements Serializable

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result`
`doPartitioning(int numWorkers, MatrixBlock features, MatrixBlock labels, long rowID)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### doPartitioning

public org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionSparkScheme.Result doPartitioning(int numWorkers, MatrixBlock features, MatrixBlock labels, long rowID)